aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xsrc/test/runtests.sh11
-rwxr-xr-xtest/travis.sh2
2 files changed, 4 insertions, 9 deletions
diff --git a/src/test/runtests.sh b/src/test/runtests.sh
index 81edac2b..79c9a9b2 100755
--- a/src/test/runtests.sh
+++ b/src/test/runtests.sh
@@ -21,13 +21,10 @@ checkit() {
ret=0
fail_on_out() {
- # If FATAL_CHECKS is set, then fail when $out has output:
- if [ -n "${FATAL_CHECKS}" ]; then
- if [ -n "${out}" ]; then
- eerror "Last command failed and FATAL_CHECKS is set; failing"
- exit 1
- fi
- fi
+ if [ -n "${out}" ]; then
+ eerror "Last command failed; failing"
+ exit 1
+ fi
}
ebegin "Checking exported symbols in libeinfo.so (data)"
diff --git a/test/travis.sh b/test/travis.sh
index 8b49431b..9626894c 100755
--- a/test/travis.sh
+++ b/test/travis.sh
@@ -20,6 +20,4 @@ cpus=$(getconf _NPROCESSORS_CONF || echo 1)
# make on TravisCI doesn't support -O yet
make -j"${cpus}"
-# This make whitespace/etc. checks fatal.
-export FATAL_CHECKS=1
make test